## apwal 0.4.4

=== Makefile ===

include Makefile.inc

all:
	(cd src && make $@)

install:
	(cd src && make $@)

clean:
	(cd src && make $@)
	-dh_clean
	-rm -f build-stamp

www:
	sh ../apwal-www/templates/newupstream.sh

sav: clean
	(cd ..; tar zcvf ~/sav/$(PROG)-$(VERS).tar.gz --exclude CVS $(PROG))
