## apwal 0.4.5

=== Makefile ===
--- 
+++ 
@@ -2,13 +2,13 @@
 include Makefile.inc
 
 all:
-	(cd src && make $@)
+	(cd src && $(MAKE) $@)
 
 install:
-	(cd src && make $@)
+	(cd src && $(MAKE) $@)
 
 clean:
-	(cd src && make $@)
+	(cd src && $(MAKE) $@)
 	-dh_clean
 	-rm -f build-stamp
