=== src/Makefile ===
--- 
+++ 
@@ -10,13 +10,13 @@
 endif
 
 OBJS=main.o app.o launcher.o editor.o property.o \
-     gtkstuff.o sysstuff.o iconsel.o cereimg.o fromgtk2src/gtkmarshalers.o \
+     gtkstuff.o sysstuff.o iconsel.o cereimg.o \
      apwalapp.o iconsel_interface.o filesel.o xmlrc.o iconlist.o log.o about.o \
-     apwalpref.o splash.o gtkfilesel2.o gtkfnmatch.o
+     apwalpref.o splash.o gtkfnmatch.o
 INCS=app.h launcher.h editor.h property.h gtkstuff.h sysstuff.h \
-     iconsel.h cereimg.h fromgtk2src/gtkmarshalers.h apwalapp.h \
+     iconsel.h cereimg.h apwalapp.h \
      iconsel_private.h filesel.h xmlrc.h common.h iconlist.h log.h about.h \
-     apwalpref.h splash.h gtkfilesel2.h gtkfnmatch.h
+     apwalpref.h splash.h gtkfnmatch.h
 
 .SUFFIXES: .png .c
 
@@ -47,7 +47,6 @@
 gtkstuff.o: pixbufinline.inc
 xmlrc.o: xmlrcinline.inc
 
-#FIXME: check if needed
 $(OBJS): $(INCS)
 
 xmlrcinline.inc: ../example/apwalrc.xml
