=== debian/changelog ===
apwal (0.4.5-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch package to 3.0 (quilt) format.
  * Use 'dh' format to avoid missing build-arch and/or build-indep
    targets in debian/rules (Closes: #999315).
  * debian/changelog: Remove trailing whitespace.
  * debian/control:
    - Use debian-compat v13.
    - Raise Standards-Version to 4.6.0 (no changes needed).
    - Declare Rules-Requires-Root: no.
    - Drop duplicate Section field.
    - Declare package Multi-Arch: foreign.
  * debian/copyright: Use DEP-5 format and update for 2022.
  * debian/patches:
    - Fix cross-building and other issues (Closes: #929646).
      Thanks to Helmut Grohne for supplying a patch.
    - Don't override build system CFLAGS, CPPFLAGS or LDFLAGS.
    - Use pkg-config to detect libxml2 (Closes: #949051).
    - Don't manually strip the binary (Closes: #436940).
    - Fix install path to work with dh_auto_install.
    - Multiple spelling fixes (Lintian).
  * debian/rules:
    - Switch to `dh' format.
    - Export hardening flags.

 -- Hugh McMaster <hugh.mcmaster@outlook.com>  Mon, 14 Mar 2022 22:04:23 +1100

apwal (0.4.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Change d/compat to level 9, update B-D on debhelper (Closes: #817352)
  * Add Homepage to d/control, remove it from package descripiton
    (Closes: #615184)
  * Replace dh_clean -k with dh_prep

 -- Tobias Frost <tobi@debian.org>  Sun, 23 Oct 2016 16:20:32 +0200

apwal (0.4.5-1) unstable; urgency=low

  * New upstream release. Includes all Debian-specific patches.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Mon, 20 Dec 2004 18:27:42 +0100

apwal (0.4.4-1) unstable; urgency=low

  * Initial release (Closes: #230373).

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Wed, 25 Feb 2004 11:18:16 +0100
