=== debian/control ===
Source: apwal
Section: gnome
Priority: optional
Maintainer: Sam Hocevar (Debian packages) <sam+deb@zoy.org>
Build-Depends: debhelper-compat (= 13), libgtk2.0-dev, libxml2-dev
Standards-Version: 4.6.0
Homepage: http://apwal.free.fr/
Rules-Requires-Root: no

Package: apwal
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: icon-based floating application launcher with transparency
 Apwal is a simple icon-based application launcher. It consists of two
 components: the application launcher itself, and the configuration editor.
 .
 Upon startup, Apwal displays icons at the mouse pointer location. Left
 clicking on the icons launches applications, and right-clicking opens
 Apwal Editor.
 .
 Apwal Editor is an easy to use graphical interface to configure Apwal. An
 icon selector displays icons available on your filesystem. Several filters
 are available to ease the search (by extension, by size, by name, etc.).
