## apwal 0.4.5-maemo1

=== src/Makefile ===
--- 
+++ 
@@ -2,11 +2,13 @@
 include ../Makefile.inc
 
 ifdef APWAL_DEBUG
-CFLAGS=-g -Wall -Werror `pkg-config --cflags gtk+-2.0 gthread-2.0` -DGTK_DISABLE_DEPRECATED -DAPWAL_DEBUG
+#CFLAGS= -mcpu=arm1136jf-s -mfpu=vfp -mfloat-abi=softfp -g -Wall -Werror `pkg-config --cflags gtk+-2.0 gthread-2.0` -DGTK_DISABLE_DEPRECATED -DAPWAL_DEBUG
+CFLAGS= -g -Wall -Werror `pkg-config --cflags gtk+-2.0 gthread-2.0` -DGTK_DISABLE_DEPRECATED -DAPWAL_DEBUG
 LDFLAGS=`pkg-config --libs gtk+-2.0 gthread-2.0` `xml2-config --libs`
 else
+#CFLAGS=-O2 `pkg-config --cflags gtk+-2.0 gthread-2.0` -mcpu=arm1136jf-s -mfpu=vfp -mfloat-abi=softfp
 CFLAGS=-O2 `pkg-config --cflags gtk+-2.0 gthread-2.0`
-LDFLAGS=-O2 `pkg-config --libs gtk+-2.0 gthread-2.0` `xml2-config --libs`
+LDFLAGS=-O2 `pkg-config --libs gtk+-2.0 gthread-2.0` `xml2-config --libs` 
 endif
 
 OBJS=main.o app.o launcher.o editor.o property.o \
