=== debian/changelog ===
apwal (0.4.5-maemo1) unstable; urgency=low

  *Initial Release 

 -- t_moyashi <http://sites.google.com/site/tamanegimoyashi/>  Sun, 24 Jan 2010 12:59:59 +0900
