=== debian/control ===
Source: apwal
Section: user/desktop
Priority: optional
Maintainer: tamanegimoyashi <tanimotoi@gmail.com>
Build-Depends: debhelper (>= 4.0), libgtk2.0-dev, libxml2-dev
Standards-Version: 0.4.5

Package: apwal
Section: user/desktop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: icon-based floating application launcher with transparency
 Apwal is a simple icon-based application launcher. It consists of two
 components: the application launcher itself, and the configuration editor.
 .
 Upon startup, Apwal displays icons at the mouse pointer location. Left
 clicking on the icons launches applications, and right-clicking opens
 Apwal Editor.
 .
 Apwal Editor is an easy to use graphical interface to configure Apwal. An
 icon selector displays icons available on your filesystem. Several filters
 are available to ease the search (by extension, by size, by name, etc.).
 .
 Homepage: http://apwal.free.fr/
