## apwal 0.4.5-maemo1-1

=== debian/changelog ===
apwal (0.4.5-maemo1-1) unstable; urgency=low

  *Fixed postinst

 -- t_moyashi <http://sites.google.com/site/tamanegimoyashi/>  Sun, 24 Jan 2010 12:59:59 +0900
